<div class="header bg-gradient-info py-7 py-lg-8">
  <div class="illustration" style="margin:50px">
    <h1 style="size:8vw; font-weight: bold;text-align: center;">S'inscrire <br>
      comme un donateur
    </h1>
   <!--  <img  style="float:right" src="assets/img/login.svg" class="col-lg-3 col-md-6 col-sm-10" alt=""> -->
  </div>
  <!-- <div class="separator separator-bottom separator-skew zindex-100">
    <svg x="0" y="0" viewBox="0 0 2560 100" preserveAspectRatio="none" version="1.1" xmlns="http://www.w3.org/2000/svg">
      <polygon class="fill-default" points="2560 0 2560 100 0 100"></polygon>
    </svg>
  </div> -->
</div>
<!-- Page content -->
<div class="container mt--8 pb-5" style="justify-content: center">
  <!-- Table -->
  <div class="row " style="height: 700px;justify-content: center;">
    <div class="col-md-5" style="margin-bottom: 20px;">
      <div class="card bg-secondary shadow border-0">
        <!-- <div class="card-header bg-transparent pb-5">
          <div class="text-muted text-center mt-2 mb-4"><small>Sign up with</small></div>
          <div class="text-center">
            <a href="javascript:void(0)" class="btn btn-neutral btn-icon mr-4">
              <span class="btn-inner--icon"><img src="assets/img/icons/common/github.svg"></span>
              <span class="btn-inner--text">Github</span>
            </a>
            <a href="javascript:void(0)" class="btn btn-neutral btn-icon">
              <span class="btn-inner--icon"><img src="assets/img/icons/common/google.svg"></span>
              <span class="btn-inner--text">Google</span>
            </a>
          </div>
        </div> -->
        <div class="card-body px-lg-5 py-lg-5">
          <div class="text-center text-muted mb-4">
            <!-- <small>Or sign up with credentials</small> -->
            <small>Sign up</small>
          </div>
          <form role="form" *ngIf="!isSuccessful" name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm"
            novalidate>
            <div class="form-group">
              <div class="input-group input-group-alternative mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="ni ni-hat-3"></i></span>
                </div>
                <input class="form-control" placeholder="Name" type="text" class="form-control" name="username"
                  [(ngModel)]="form.username" required minlength="3" maxlength="40" #username="ngModel">
              </div>
              <div class="alert-danger" *ngIf="f.submitted && username.invalid">
                <div *ngIf="username.errors.required">Username is required</div>
                <div *ngIf="username.errors.minlength">
                  Username must be at least 3 characters
                </div>
                <div *ngIf="username.errors.maxlength">
                  Username must be at most 20 characters
                </div>
              </div>
            </div>
            <div class="form-group">
              <div class="input-group input-group-alternative mb-3">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="ni ni-email-83"></i></span>
                </div>
                <input class="form-control" placeholder="Email" type="email" class="form-control" name="email"
                  [(ngModel)]="form.email" required email #email="ngModel">
              </div>
              <div class="alert-danger" *ngIf="f.submitted && email.invalid">
                <div *ngIf="email.errors.required">Email is required</div>
                <div *ngIf="email.errors.email">
                  Email must be a valid email address
                </div>
              </div>
            </div>
            <div class="form-group">
              <div class="input-group input-group-alternative">
                <div class="input-group-prepend">
                  <span class="input-group-text"><i class="ni ni-lock-circle-open"></i></span>
                </div>
                <input class="form-control" placeholder="Password" type="password" class="form-control" name="password"
                  [(ngModel)]="form.password" required minlength="6" #password="ngModel">
              </div>
              <div class="alert-danger" *ngIf="f.submitted && password.invalid">
                <div *ngIf="password.errors.required">Password is required</div>
                <div *ngIf="password.errors.minlength">
                  Password must be at least 6 characters
                </div>
              </div>
            </div>
            <!-- <div class="text-muted font-italic"><small>password strength: <span
                  class="text-success font-weight-700">strong</span></small></div>
            <div class="row my-4">
              <div class="col-12">
                <div class="custom-control custom-control-alternative custom-checkbox">
                  <input class="custom-control-input" id="customCheckRegister" type="checkbox">
                  <label class="custom-control-label" for="customCheckRegister">
                    <span class="text-muted">I agree with the <a href="#!">Privacy Policy</a></span>
                  </label>
                </div>
              </div>
            </div> -->
            <div class="text-center">
              <button class="btn btn-primary mt-4">Create account</button>
            </div>
            <div class="alert alert-warning" *ngIf="f.submitted && isSignUpFailed">
              Signup failed!<br />{{ errorMessage }}
            </div>
          </form>
          <div class="alert alert-success" *ngIf="isSuccessful">
            Your registration is successful!
          </div>
        </div>
      </div>



    </div>
    <div class="col-md-5">
      <div >
        <img  src="assets/img/post.png" class="img-responsive"width="300" height="318" alt=""><br>

        </div>
    </div>
    <div class="col-md-8 illustration " style="    align-items: center;    padding-top: 20px;">
      <img  src="assets/img/logo2.png" style="justify-content: center; "width="80" height="80" alt=""><br>

    </div>
  </div>
</div>
